Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmc
Class IdentityProofV2

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cmc.IdentityProofV2

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class IdentityProofV2
extends ASN1Object

id-cmc-identityProofV2 OBJECT IDENTIFIER ::= { id-cmc 34 } identityProofV2 ::= SEQUENCE { proofAlgID AlgorithmIdentifier, macAlgId AlgorithmIdentifier, witness OCTET STRING }

Constructor Summary
`IdentityProofV2(AlgorithmIdentifier proofAlgID, AlgorithmIdentifier macAlgId, byte[] witness)`

Method Summary
`static IdentityProofV2` | `getInstance(java.lang.Object o)`
`AlgorithmIdentifier` | `getMacAlgId()`
`AlgorithmIdentifier` | `getProofAlgID()`
`byte[]` | `getWitness()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentityProofV2

    public IdentityProofV2(AlgorithmIdentifier proofAlgID,
                           AlgorithmIdentifier macAlgId,
                           byte[] witness)

Method Detail

### getInstance

    public static IdentityProofV2 getInstance(java.lang.Object o)

### getProofAlgID

    public AlgorithmIdentifier getProofAlgID()

### getMacAlgId

    public AlgorithmIdentifier getMacAlgId()

### getWitness

    public byte[] getWitness()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD